---
title: Payments by ID
slug: apis/payments/cos-card-payments/payments-apis/payments-by-id
description: Discover how to retrieve payment details using the API method with a GET request to `/v1/payments/{id}`, featuring code examples and essential parameters for effective transaction management.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2024-08-14T07:39:58.503Z
---

## API reference

Retrieve payment details by payment ID

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/payments/{id}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/payments/{id}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "33aWPaSZUBoxhnxSXFyH0",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85' \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer Token'"
      },
      {
        "id": "VeeGmwkA_clEzxjzmMBUK",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85',\n  'headers': {\n    'Accept': 'application/json',\n    'Authorization': 'Bearer Token'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "fMIo89EnX_crr5ngAqPZA",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85\"\n\npayload = {}\nheaders = {\n  'Accept': 'application/json',\n  'Authorization': '••••••'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
      },
      {
        "id": "AxHF85_K4fcIC0doIejLE",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer Token\"\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "S1rSMlrok51eWFaTXcguW",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardpayments/v1/payments/9b16efc0-166c-96e1-47fa-5167b34bab85\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Accept\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer Token\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "33aWPaSZUBoxhnxSXFyH0"
  },
  "results": {
    "languages": [
      {
        "id": "qaLRHBp_njcq9NhtL7R3X",
        "language": "200",
        "code": "{\n    \"id\": \"5124e2c1-4660-4cc2-a38f-b42501346965\",\n    \"clientIdentifier\": \"395673a4-d91d-5f82-993d-9e1a9e5ef2a3\",\n    \"amount\": 100,\n    \"paymentType\": \"Pull\",\n    \"status\": \"Failed\",\n    \"source\": \"Api\",\n    \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n    \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n    \"cardId\": \"febe40ae-cbe7-4428-9aab-b41b004159eb\",\n    \"cardToken\": \"7D30206F4D3848D387564F4FFDC3D151000000\",\n    \"cardBrand\": \"Visa\",\n    \"panLastFour\": \"1111\",\n    \"issuerCountryCode\": \"US\",\n    \"reasonCode\": \"9999\",\n    \"reasonDescription\": \"CVV not found\",\n    \"correspondingEntity\": {\n        \"firstName\": \"Randy\",\n        \"lastName\": \"Marsh\",\n        \"externalAccountIdentifier\": \"411111***1111\",\n        \"address\": {\n            \"street1\": \"260 Avenue De Los Mexicanos\",\n            \"city\": \"South Park\",\n            \"state\": \"CO\",\n            \"postalCode\": \"81241\",\n            \"countryCode\": \"US\"\n        }\n    },\n    \"merchantVerificationValue\": \"123456\",\n    \"accountNumber\": \"2287979807\",\n    \"businessType\": \"AA\",\n    \"wasRefunded\": false,\n    \"createdAt\": \"2026-04-07T14:42:53.557-04:00\",\n    \"authorizedOn\": \"2026-04-07T14:45:09.44-04:00\",\n    \"submittedOn\": \"2026-04-07T14:45:10.397-04:00\",\n    \"failedAt\": \"2026-04-07T14:45:10.397-04:00\",\n    \"lastModifiedAt\": \"2026-04-07T14:47:22.3277117-04:00\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "qaLRHBp_njcq9NhtL7R3X"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The GUID of the payment you want to retrieve",
        "": "The GUID of the payment you want to retrieve"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID of the payment you want to retrieve",
      "children": []
    },
    {
      "name": "originalPaymentId",
      "kind": "optional",
      "type": "string",
      "description": " A UUID that is the primary identifier for the payment.",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": " ",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "string",
      "description": "The amount to be transferred, in cents. For example, 10001 = $100.01.",
      "children": []
    },
    {
      "name": "paymentType",
      "kind": "optional",
      "type": "string",
      "description": "Indicates the direction of the payment:\nPush -  Money sent out (e.g. disbursement to a customer)\nPull -  Money received (e.g. a charge to a customer's card)",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "One of  \"Created\",\n                        \"Pending\",\n                        \"Authorized\",\n                        \"Submitted\",\n                        \"Processing\",\n                        \"Completed\",\n                        \"Rejected\",\n                        \"Failed\"",
      "children": []
    },
    {
      "name": "source",
      "kind": "optional",
      "type": "string",
      "description": "How the payment was initiated e.g. API ",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": " A UUID that identifies the product, as defined in COS.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": " A UUID that identifies the partner, as defined in COS.",
      "children": []
    },
    {
      "name": "cardId",
      "kind": "optional",
      "type": "string",
      "description": " A UUID that identifies the card used.",
      "children": []
    },
    {
      "name": "cardToken",
      "kind": "optional",
      "type": "string",
      "description": "A randomly generated string of characters that relates to the consumer's payment card (15-38 alphanumeric characters). ",
      "children": []
    },
    {
      "name": "network",
      "kind": "optional",
      "type": "string",
      "description": "The network through which the payment is processed (e.g. Visa, Mastercard).",
      "children": []
    },
    {
      "name": "cardBrand",
      "kind": "optional",
      "type": "string",
      "description": "One of  \"AmericanExpress\",\n                        \"ChinaUnionPay\",\n                        \"Dankort\",\n                        \"DinersClub\",\n                        \"Discover\",\n                        \"Hipercard\",\n                        \"JCB\",\n                        \"Laser\",\n                        \"Maestro\",\n                        \"MasterCard\",\n                        \"RuPay\",\n                        \"Solo\",\n                        \"Switch\",\n                        \"Visa\",\n                        \"Unknown\"",
      "children": []
    },
    {
      "name": "panLastFour",
      "kind": "optional",
      "type": "string",
      "description": "The last four digits of the Primary Account Number (card number).",
      "children": []
    },
    {
      "name": "issuerCountryCode",
      "kind": "optional",
      "type": "string",
      "description": "A string representing the country code of the card issuer.",
      "children": []
    },
    {
      "name": "retrievalReferenceId",
      "kind": "optional",
      "type": "string",
      "description": "A unique identifier used for retrieving transaction details, often used in disputes or reconciliation.",
      "children": []
    },
    {
      "name": "reasonCode",
      "kind": "optional",
      "type": "string",
      "description": "A 2-digit code signifying the transaction result (approved or decline). For example, 00 means successful.",
      "children": []
    },
    {
      "name": "reasonDescription",
      "kind": "optional",
      "type": "string",
      "description": "A string describing the transaction result. For example, Approved.",
      "children": []
    },
    {
      "name": "traceNumber",
      "kind": "optional",
      "type": "string",
      "description": "A unique number assigned to a transaction from the time it leaves the merchant bank until it arrives at the cardholder bank",
      "children": []
    },
    {
      "name": "correspondingEntity",
      "kind": "optional",
      "type": "object",
      "description": "References information about the corresponding entity for the transaction",
      "children": [
        {
          "name": "firstName",
          "kind": "optional",
          "type": "string",
          "description": "First name. Min 1 character, max 35 characters"
        },
        {
          "name": "lastName",
          "kind": "optional",
          "type": "string",
          "description": "Last name. Min 1 character, max 35 characters"
        },
        {
          "name": "externalAccountIdentifier",
          "kind": "optional",
          "type": "string",
          "description": "Account number to ensure the money movement is routed to the correct destination."
        },
        {
          "name": "address",
          "kind": "optional",
          "type": "object",
          "description": "Address of card holder",
          "children": [
            {
              "name": "street1",
              "kind": "optional",
              "type": "string",
              "description": "Street address line 1. Max length 60"
            },
            {
              "name": "street2",
              "kind": "optional",
              "type": "string",
              "description": "Street address line 2. Max length 60"
            },
            {
              "name": "city",
              "kind": "optional",
              "type": "string",
              "description": "Name of the city. Max length 60"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "State code. 2 characters"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 10 characters"
            },
            {
              "name": "countryCode",
              "kind": "optional",
              "type": "string",
              "description": "2-letter ISO country code"
            }
          ]
        }
      ]
    },
    {
      "name": "mcc",
      "kind": "optional",
      "type": "string",
      "description": "Merchant Category Code (MCC). 4-digits that a credit card issuer uses to categorize consumer transactions for their card.",
      "children": []
    },
    {
      "name": "merchantVerificationValue",
      "kind": "optional",
      "type": "string",
      "description": "A value used to verify the merchant's identity.",
      "children": []
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The account number associated with the payment.",
      "children": []
    },
    {
      "name": "businessType",
      "kind": "optional",
      "type": "string",
      "description": "Business Application Indicator (BAI) -- a standardized category used to classify the nature of a business.\nOne of \nBB - 'Business2Business', \nFD - 'Funds Disbursement ', \nAA - 'Account2Account', \nPP - 'Person2Person', \nMT -'Money Transfer', \nCD - 'Cash Deposit', \nFT - 'Funds Transfer', \nWT - 'Wallet Transfer', \nCP - 'Card Bill Payment'\nMD - 'Merchant Disbursement'",
      "children": []
    },
    {
      "name": "purposeOfPayment",
      "kind": "optional",
      "type": "string",
      "description": "The reason for the transaction. e.g. payroll. Needed for international. ",
      "children": []
    },
    {
      "name": "coreTransactionId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that links the payment to the core banking system.",
      "children": []
    },
    {
      "name": "memoPostId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the corresponding memo post (a temporary transaction posting).",
      "children": []
    },
    {
      "name": "memoPostRemovedAt",
      "kind": "optional",
      "type": "string",
      "description": "When the memo post was removed. I.e. When the temporary hold was released.",
      "children": []
    },
    {
      "name": "wasRefunded",
      "kind": "optional",
      "type": "boolean",
      "description": "Boolean value indicating whether the payment has been refunded.",
      "children": []
    },
    {
      "name": "refundPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the refund transaction associated with the payment.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When the payment was created",
      "children": []
    },
    {
      "name": "authorizedOn",
      "kind": "optional",
      "type": "string",
      "description": "When the payment was authorized by the issuing bank.",
      "children": []
    },
    {
      "name": "submittedOn",
      "kind": "optional",
      "type": "string",
      "description": "When the payment was submitted to the network.",
      "children": []
    },
    {
      "name": "rejectedAt",
      "kind": "optional",
      "type": "string",
      "description": "When the payment was rejected.",
      "children": []
    },
    {
      "name": "completedAt",
      "kind": "optional",
      "type": "string",
      "description": "When the payment was successfully completed.",
      "children": []
    },
    {
      "name": "failedAt",
      "kind": "optional",
      "type": "string",
      "description": "When the payment failed to process.",
      "children": []
    },
    {
      "name": "limitsEligibleOn",
      "kind": "optional",
      "type": "string",
      "description": "When the transaction becomes eligible for limit calculations.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "When the payment record was last modified.",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-v1paymentsid",
  "legacyHash": "uDAHEhDpcGmteMb-UUXwk"
}
```
:::

